### Method

# Meta X11Display add_event_func

#### Declaration [src]

    unsigned int
    meta_x11_display_add_event_func (
      MetaX11Display* x11_display,
      MetaX11DisplayEventFunc event_func,
      gpointer user_data,
      GDestroyNotify destroy_notify
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`event_func`

  Type: `MetaX11DisplayEventFunc`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_notify`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: `unsigned int`

No description available.